Subject: bug#14891: GNU Automake 1.14 FAIL: 5

From: Dennis Clarke <[email-masked]>
Date: Wed, 17 Jul 2013 08:47:18 -0400

So today we have a much older system but a very very stable one and a
decent compiler in the form of the Sun Studio tools on Solaris. 

What I see is : 

.
.
.
SKIP: t/depcomp-msvisualcpp.tap - Microsoft C compiler 'cl' not available
SKIP: t/depcomp-cpp.tap - GNU C compiler unavailable
SKIP: t/depcomp-gcc.tap - GNU C compiler unavailable
parallel-tests-html: skipped test: no proper rst2html program found
SKIP: contrib/t/parallel-tests-html.sh
parallel-tests-html-recursive: skipped test: no proper rst2html program found
SKIP: contrib/t/parallel-tests-html-recursive.sh
PASS: contrib/t/help-multilib.sh
multilib: skipped test: GNU C compiler unavailable
SKIP: contrib/t/multilib.sh
gmake[3]: Entering directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
gmake[3]: Nothing to be done for `all'.
gmake[3]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
============================================================================
Testsuite summary for GNU Automake 1.14
============================================================================
# TOTAL: 2722
# PASS:  2434
# SKIP:  244
# XFAIL: 39
# FAIL:  5
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
gmake[2]: *** [test-suite.log] Error 1
gmake[2]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
gmake[1]: *** [check-TESTS] Error 2
gmake[1]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
gmake: *** [check-am] Error 2

okay .. not bad but can not be installed either. 

The tests that failed : 

FAIL: t/instmany.sh
FAIL: t/instmany-mans.sh
FAIL: t/test-extensions.sh
FAIL: t/preproc-errmsg.sh
FAIL: t/primary-prefix-invalid-couples.tap 280 - ... and with the same diagnostic of 'automake -a'

So I will attach the whole testsuite with hopes that I hear a reply that says "yep, we know
about that stuff, looks okay .. go ahead".   At least, I hope :-\

Dennis